Skip to main content
POST
/
v1
/
custom-connectors
/
{connector_id}
/
ingest
Ingest generic JSON events
curl --request POST \
  --url https://api.adapter.com/v1/custom-connectors/{connector_id}/ingest \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "items": [
    {
      "external_id": "<string>",
      "data": "<unknown>",
      "metadata": {
        "batch": "2026-06-01",
        "env": "staging"
      }
    }
  ]
}
'
{
  "status": "<string>",
  "events": 123,
  "external_ids": [
    "<string>"
  ]
}

Authorizations

Authorization
string
header
required

Pass your pk_live_... API key as a Bearer token.

Path Parameters

connector_id
string
required

Body

application/json
items
IngestItem · object[]
required

Response

Successful Response

status
string
required

Always 'accepted'.

Example:

"accepted"

events
integer
required

Number of events accepted.

Example:

1

external_ids
string[]

external_id of each accepted event, in submission order.

Example:
["c1f4…"]